commit:     733f7602278ced39413767a3a3d95d3f86abc633
Author:     Christoph Junghans <junghans <AT> gentoo <DOT> org>
AuthorDate: Sat May 21 15:54:44 2022 +0000
Commit:     Christoph Junghans <junghans <AT> gentoo <DOT> org>
CommitDate: Sat May 21 15:55:07 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=733f7602

net-misc/grive: fix gcc-12 build

Closes: https://bugs.gentoo.org/840547
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Christoph Junghans <junghans <AT> gentoo.org>

 net-misc/grive/files/363.patch                   | 21 ++++++++++++++
 net-misc/grive/grive-0.5.2_pre20211128-r1.ebuild | 37 ++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/net-misc/grive/files/363.patch b/net-misc/grive/files/363.patch
new file mode 100644
index 000000000000..c3e57460f386
--- /dev/null
+++ b/net-misc/grive/files/363.patch
@@ -0,0 +1,21 @@
+From 3cf1c058a3e61deb370dde36024a106a213ab2c6 Mon Sep 17 00:00:00 2001
+From: Christoph Junghans <[email protected]>
+Date: Sat, 21 May 2022 09:36:52 -0600
+Subject: [PATCH] Syncer.hh: fix build with gcc-12
+
+---
+ libgrive/src/base/Syncer.hh | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/libgrive/src/base/Syncer.hh b/libgrive/src/base/Syncer.hh
+index 237b8949..9b6ae4f7 100644
+--- a/libgrive/src/base/Syncer.hh
++++ b/libgrive/src/base/Syncer.hh
+@@ -21,6 +21,7 @@
+ 
+ #include "util/FileSystem.hh"
+ 
++#include <memory>
+ #include <string>
+ #include <vector>
+ #include <iosfwd>

diff --git a/net-misc/grive/grive-0.5.2_pre20211128-r1.ebuild 
b/net-misc/grive/grive-0.5.2_pre20211128-r1.ebuild
new file mode 100644
index 000000000000..c656088b952d
--- /dev/null
+++ b/net-misc/grive/grive-0.5.2_pre20211128-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+if [[ ${PV} = *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/vitalif/${PN}2.git";
+else
+       inherit vcs-snapshot
+       COMMIT="6901fbb169eaae51acb61778760ba2ac019675ae"
+       SRC_URI="https://github.com/vitalif/${PN}2/archive/${COMMIT}.tar.gz -> 
${P}.tar.gz"
+fi
+
+DESCRIPTION="An open source Linux client for Google Drive"
+HOMEPAGE="https://github.com/vitalif/grive2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+       dev-libs/boost:=
+       dev-libs/expat
+       >=dev-libs/json-c-0.11-r1:=
+       dev-libs/libgcrypt:0=
+       dev-libs/yajl
+       || ( net-misc/curl[curl_ssl_openssl] net-misc/curl[curl_ssl_gnutls] )
+       sys-libs/binutils-libs:0=
+       sys-libs/glibc
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}/363.patch" )

Reply via email to